%define upstream_name    Dist-Zilla-Plugin-MakeMaker-Awesome
%define upstream_version 0.48

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(ExtUtils::MakeMaker\\{\\{\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A more awesome MakeMaker plugin for Dist::Zilla
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::Check) >= 0.11.0
BuildRequires: perl(CPAN::Meta::Requirements) >= 2.121.0
BuildRequires: perl(Dist::Zilla) >= 4.300.39
BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Plugin::MakeMaker) >= 5.1.0
BuildRequires: perl(Dist::Zilla::Role::BeforeBuild)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::pushd)
BuildRequires: perl(List::Util) >= 1.290.0
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(MooseX::Types::Stringlike)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(if)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

Obsoletes:  perl-Dist-Zilla-Plugin-OverridableMakeMaker

%description
the Dist::Zilla manpage's Dist::Zilla::Plugin::MakeMaker plugin is limited,
if you want to stray from the marked path and do something that would
normally be done in a 'package MY' section or otherwise run custom code in
your _Makefile.PL_ you're out of luck.

This plugin is 100% compatable with the Dist::Zilla::Plugin::MakeMaker
manpage, but if you need something more complex you can just subclass it:

Then, in your _dist.ini_:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Feb 15 2020 umeabot <umeabot> 0.480.0-2.mga8
+ Revision: 1526769
- Mageia 8 Mass Rebuild

* Sat Jun 29 2019 shlomif <shlomif> 0.480.0-1.mga8
+ Revision: 1415511
- update to 0.48

* Thu Sep 20 2018 umeabot <umeabot> 0.470.0-2.mga7
+ Revision: 1283023
- Mageia 7 Mass Rebuild

* Thu Jul 12 2018 tv <tv> 0.470.0-1.mga7
+ Revision: 1243132
- update to 0.47

* Mon Jun 25 2018 tv <tv> 0.450.0-1.mga7
+ Revision: 1239605
- update to 0.45

* Tue Jun 19 2018 tv <tv> 0.440.0-1.mga7
+ Revision: 1237995
- update to 0.44

* Sat May 05 2018 shlomif <shlomif> 0.420.0-1.mga7
+ Revision: 1226425
- update to 0.42

* Sun Jan 28 2018 shlomif <shlomif> 0.410.0-1.mga7
+ Revision: 1197637
- update to 0.41

* Tue Jan 23 2018 tv <tv> 0.400.0-1.mga7
+ Revision: 1196544
- update to 0.40

* Wed Oct 04 2017 tv <tv> 0.390.0-1.mga7
+ Revision: 1168327
- update to 0.39

* Sun Jun 19 2016 pterjan <pterjan> 0.380.0-2.mga6
+ Revision: 1026290
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 0.380.0-1.mga6
+ Revision: 1007575
- update to 0.38

* Fri Feb 19 2016 umeabot <umeabot> 0.350.0-2.mga6
+ Revision: 970002
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 0.350.0-1.mga6
+ Revision: 884533
- update to 0.35

* Sun Jun 28 2015 sander85 <sander85> 0.340.0-1.mga6
+ Revision: 846885
- update to 0.34

* Sat Oct 18 2014 pterjan <pterjan> 0.240.0-4.mga5
+ Revision: 787610
- Exclude broken requires

* Wed Oct 15 2014 umeabot <umeabot> 0.240.0-3.mga5
+ Revision: 746509
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Aug 15 2014 sander85 <sander85> 0.240.0-1.mga5
+ Revision: 662703
- update to 0.24

* Wed Jul 30 2014 sander85 <sander85> 0.230.0-1.mga5
+ Revision: 658179
- update to 0.23

* Tue Jul 29 2014 sander85 <sander85> 0.220.0-1.mga5
+ Revision: 657883
- update to 0.22

* Mon Jul 28 2014 sander85 <sander85> 0.210.0-1.mga5
+ Revision: 657728
- update to 0.21

* Mon Feb 10 2014 jquelin <jquelin> 0.200.0-1.mga5
+ Revision: 588368
- update to 0.20

* Mon Oct 21 2013 umeabot <umeabot> 0.170.0-2.mga4
+ Revision: 537826
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 sander85 <sander85> 0.170.0-1.mga4
+ Revision: 487828
- update to 0.17

* Thu Sep 26 2013 sander85 <sander85> 0.160.0-1.mga4
+ Revision: 487167
- update to 0.16

* Mon Sep 09 2013 sander85 <sander85> 0.150.0-1.mga4
+ Revision: 476588
- update to 0.15

* Mon Jun 10 2013 jquelin <jquelin> 0.140.0-1.mga4
+ Revision: 441574
- update to 0.14

* Sun Jan 13 2013 umeabot <umeabot> 0.120.0-2.mga3
+ Revision: 366251
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 24 2011 jquelin <jquelin> 0.120.0-1.mga1
+ Revision: 58896
- update to 0.12

* Wed Jan 26 2011 jquelin <jquelin> 0.110.0-1.mga1
+ Revision: 40461
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-MakeMaker-Awesome

